Skip to content

Gestion de pallets en eCMR

Consultar pallets de un eCMR

bash
curl -X GET "https://ecmr.api.pro.cargoffer.com/ecmr/pallets/{service_code}" \
  -H "Authorization: Bearer *** Reemplazar pallets

```bash
curl -X POST "https://ecmr.api.pro.cargoffer.com/ecmr/pallets/{service_code}" \
  -H "Authorization: Bearer *** \
  -H "Content-Type: application/json" \
  -d '{
    "pallets": [
      {"id": "pallet_1", "type": "european", "weight": 1500},
      {"id": "pallet_2", "type": "european", "weight": 2000}
    ]
  }'

Actualizar un pallet

bash
curl -X PUT "https://ecmr.api.pro.cargoffer.com/ecmr/pallets/{service_code}/{pallet_id}" \
  -H "Authorization: Bearer *** \
  -H "Content-Type: application/json" \
  -d '{"weight": 1800}'

Eliminar todos los pallets

bash
curl -X DELETE "https://ecmr.api.pro.cargoffer.com/ecmr/pallets/{service_code}" \
  -H "Authorization: Bearer *** tipos de pallet

| Tipo | Dimensiones | Uso |
|------|-------------|-----|
| european | 1200x800 mm | Estandar europeo |
| american | 1200x1000 mm | Estándar americano |
| none | - | Sin pallet |

Los pallets se definen al crear el eCMR con los campos `pallets_num` y `pallets_type`.

Documentación de Cargoffer